// Stencil
import { h } from "@stencil/core";
export class TopFactsContent {
    constructor() {
        // Props
        this.name = 'Top Facts';
        this.contentTitle = '';
        this.facts = [];
    }
    ////////////////////////////////////////////////////////////////
    // Render
    ////////////////////////////////////////////////////////////////
    render() {
        return (h("div", null,
            h("div", { class: 'main-container' },
                h("div", { class: 'header-container' },
                    h("p", { class: 'header-text' }, this.name)),
                h("div", { class: 'content-container' },
                    h("p", { class: 'title' }, this.contentTitle),
                    h("div", { class: 'facts-container' },
                        h("p", { class: 'fact-title' },
                            1,
                            ". ",
                            this.facts[0].title),
                        h("p", { class: 'fact-description' }, this.facts[0].description),
                        this.facts.map((fact, i) => h("span", null, i == 0
                            ? ''
                            : h("span", null, this.facts
                                ? h("span", null,
                                    h("p", { class: 'fact-title' },
                                        i + 1,
                                        ". ",
                                        fact.title),
                                    h("p", { class: 'fact-description' }, fact.description))
                                : ''))),
                        this.facts
                            ? ''
                            : h("span", null,
                                h("img", { class: 'corner-image up-right', src: 'assets/icons/corner.svg' }),
                                h("img", { class: 'corner-image down-left', src: 'assets/icons/corner.svg' })))))));
    }
    static get is() { return "top-facts-content"; }
    static get originalStyleUrls() { return {
        "$": ["top-facts-content.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["top-facts-content.css"]
    }; }
    static get properties() { return {
        "name": {
            "type": "string",
            "mutable": true,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "name",
            "reflect": false,
            "defaultValue": "'Top Facts'"
        },
        "contentTitle": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "content-title",
            "reflect": false,
            "defaultValue": "''"
        },
        "facts": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "any[]",
                "resolved": "any[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "defaultValue": "[]"
        }
    }; }
}
